> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search organizations

> 
    Returns a list of organizations based on search criteria.
    This endpoint is paginated and supports various filters including:
    - Full-text search
    - NTEE codes (major and minor)
    - Geographic location (country and state)
    - Organization status
    - Compliance status

    Results are enriched with contribution statistics and deployment information.
    



## OpenAPI

````yaml https://api.endaoment.org/oas-json get /v2/orgs/search
openapi: 3.0.0
info:
  title: Endaoment API
  description: The official Endaoment API endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags: []
paths:
  /v2/orgs/search:
    get:
      tags:
        - Organizations
      summary: Search organizations
      description: |2-

            Returns a list of organizations based on search criteria.
            This endpoint is paginated and supports various filters including:
            - Full-text search
            - NTEE codes (major and minor)
            - Geographic location (country and state)
            - Organization status
            - Compliance status

            Results are enriched with contribution statistics and deployment information.
            
      operationId: OrgsController_searchOrgs
      parameters:
        - name: searchTerm
          required: false
          in: query
          description: Full-text search term to find organizations by name or EIN
          example: Red Cross
          schema:
            type: string
        - name: nteeMajorCodes
          required: false
          in: query
          description: Comma-separated list of NTEE Major Codes to filter organizations by
          example: A,B,C
          schema:
            type: string
        - name: nteeMinorCodes
          required: false
          in: query
          description: Comma-separated list of NTEE Minor Codes to filter organizations by
          example: 01,02,03
          schema:
            type: string
        - name: countries
          required: false
          in: query
          description: >-
            Comma-separated list of ISO 3166-1 alpha-3 country codes to filter
            organizations by. Example values: USA, CAN, etc.
          example: USA,CAN
          schema:
            type: string
        - name: subdivisions
          required: false
          in: query
          description: >-
            Comma-separated list of US state codes to filter organizations by.
            Possible values: AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID,
            IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH,
            NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA,
            WA, WV, WI, WY
          example: CA,NY,TX
          schema:
            type: string
        - name: status
          required: false
          in: query
          description: >-
            Comma-separated list of organization statuses to filter by. Possible
            values: claimed, unclaimed
          example: claimed,unclaimed
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: Maximum number of results to return
          schema:
            minimum: 1
            maximum: 25
            default: 10
            type: number
        - name: offset
          required: false
          in: query
          description: Number of results to skip for pagination
          schema:
            minimum: 0
            default: 0
            type: number
      responses:
        '200':
          description: List of organizations matching the search criteria
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrgSearchListingDto'
components:
  schemas:
    OrgSearchListingDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the organization in Endaoment database
          example: 123e4567-e89b-12d3-a456-426614174000
        ein:
          type: string
          description: >-
            IRS Employer Identification Number (EIN) without hyphen. Value will
            not be present for international orgs
          example: '530196605'
          nullable: true
        name:
          type: string
          description: Name of the organization
          example: American Red Cross
        description:
          type: string
          description: Description or mission statement of the organization
          example: Providing disaster relief and emergency assistance
          nullable: true
        address:
          description: Physical address of the organization
          allOf:
            - $ref: '#/components/schemas/OrgAddress'
        logo:
          type: string
          description: URL to the organization logo
          example: https://example.com/logo.png
          nullable: true
        nteeCode:
          type: string
          description: NTEE (National Taxonomy of Exempt Entities) code
          example: M20
          nullable: true
        nteeDescription:
          type: string
          description: Human-readable description of the NTEE code
          example: Disaster Preparedness and Relief Services
          nullable: true
        featuredIndex:
          type: number
          description: Priority index for featured organizations (higher = shows first)
          example: 1
        isCompliant:
          type: boolean
          description: Whether the organization is compliant with Endaoment requirements
          example: true
        lifetimeContributionsUsdc:
          type: string
          description: >-
            Total lifetime contributions made to this organization in USDC, in
            the smallest currency unit (1000000 = 1 USD)
          example: '1000000000'
        donationsReceived:
          type: number
          description: Total number of donations received by this organization
          example: 42
        grantsReceived:
          type: number
          description: Total number of grants received by this organization
          example: 15
        deployments:
          description: >-
            List of smart contract deployments across different chains. Includes
            all supported chains, even if the org is not deployed on them.
          type: array
          items:
            $ref: '#/components/schemas/OrgDeployment'
        claimedDateUtc:
          type: object
          description: UTC timestamp when the organization was claimed
          format: date-time
          example: '2024-03-20T10:30:00Z'
          nullable: true
        claimedType:
          type: string
          description: Type of organization claim
          enum:
            - WalletClaim
            - WireClaim
          example: DIRECT
          nullable: true
        claimed:
          type: boolean
          description: Whether the organization has been claimed
          example: true
        contactInfo:
          description: Contact information for the organization
          allOf:
            - $ref: '#/components/schemas/OrgContact'
        website:
          type: string
          description: Website URL of the organization
          example: https://www.redcross.org
          nullable: true
      required:
        - id
        - ein
        - name
        - description
        - address
        - logo
        - nteeCode
        - nteeDescription
        - featuredIndex
        - isCompliant
        - lifetimeContributionsUsdc
        - donationsReceived
        - grantsReceived
        - deployments
        - claimedDateUtc
        - claimedType
        - claimed
        - contactInfo
        - website
    OrgAddress:
      type: object
      properties:
        line1:
          type: string
          description: Street address including building/apartment number
          example: 123 Main St
          nullable: true
        city:
          type: string
          description: City name
          example: San Francisco
          nullable: true
        state:
          type: string
          description: State or province code
          example: CA
          nullable: true
        zip:
          type: string
          description: Postal code
          example: '94105'
          nullable: true
        country:
          type: string
          description: ISO 3166-1 alpha-3 country code
          example: USA
          enum:
            - ABW
            - AFG
            - AGO
            - AIA
            - ALA
            - ALB
            - AND
            - ARE
            - ARG
            - ARM
            - ASM
            - ATA
            - ATF
            - ATG
            - AUS
            - AUT
            - AZE
            - BDI
            - BEL
            - BEN
            - BES
            - BFA
            - BGD
            - BGR
            - BHR
            - BHS
            - BIH
            - BLM
            - BLR
            - BLZ
            - BMU
            - BOL
            - BRA
            - BRB
            - BRN
            - BTN
            - BVT
            - BWA
            - CAF
            - CAN
            - CCK
            - CHE
            - CHL
            - CHN
            - CIV
            - CMR
            - COD
            - COG
            - COK
            - COL
            - COM
            - CPV
            - CRI
            - CUB
            - CUW
            - CXR
            - CYM
            - CYP
            - CZE
            - DEU
            - DJI
            - DMA
            - DNK
            - DOM
            - DZA
            - ECU
            - EGY
            - ERI
            - ESH
            - ESP
            - EST
            - ETH
            - FIN
            - FJI
            - FLK
            - FRA
            - FRO
            - FSM
            - GAB
            - GBR
            - GEO
            - GGY
            - GHA
            - GIB
            - GIN
            - GLP
            - GMB
            - GNB
            - GNQ
            - GRC
            - GRD
            - GRL
            - GTM
            - GUF
            - GUM
            - GUY
            - HKG
            - HMD
            - HND
            - HRV
            - HTI
            - HUN
            - IDN
            - IMN
            - IND
            - IOT
            - IRL
            - IRN
            - IRQ
            - ISL
            - ISR
            - ITA
            - JAM
            - JEY
            - JOR
            - JPN
            - KAZ
            - KEN
            - KGZ
            - KHM
            - KIR
            - KNA
            - KOR
            - KWT
            - LAO
            - LBN
            - LBR
            - LBY
            - LCA
            - LIE
            - LKA
            - LSO
            - LTU
            - LUX
            - LVA
            - MAC
            - MAF
            - MAR
            - MCO
            - MDA
            - MDG
            - MDV
            - MEX
            - MHL
            - MKD
            - MLI
            - MLT
            - MMR
            - MNE
            - MNG
            - MNP
            - MOZ
            - MRT
            - MSR
            - MTQ
            - MUS
            - MWI
            - MYS
            - MYT
            - NAM
            - NCL
            - NER
            - NFK
            - NGA
            - NIC
            - NIU
            - NLD
            - NOR
            - NPL
            - NRU
            - NZL
            - OMN
            - PAK
            - PAN
            - PCN
            - PER
            - PHL
            - PLW
            - PNG
            - POL
            - PRI
            - PRK
            - PRT
            - PRY
            - PSE
            - PYF
            - QAT
            - REU
            - ROU
            - RUS
            - RWA
            - SAU
            - SDN
            - SEN
            - SGP
            - SGS
            - SHN
            - SJM
            - SLB
            - SLE
            - SLV
            - SMR
            - SOM
            - SPM
            - SRB
            - SSD
            - STP
            - SUR
            - SVK
            - SVN
            - SWE
            - SWZ
            - SXM
            - SYC
            - SYR
            - TCA
            - TCD
            - TGO
            - THA
            - TJK
            - TKL
            - TKM
            - TLS
            - TON
            - TTO
            - TUN
            - TUR
            - TUV
            - TWN
            - TZA
            - UGA
            - UKR
            - UMI
            - URY
            - USA
            - UZB
            - VAT
            - VCT
            - VEN
            - VGB
            - VIR
            - VNM
            - VUT
            - WLF
            - WSM
            - XKX
            - YEM
            - ZAF
            - ZMB
            - ZWE
          nullable: true
      required:
        - line1
        - city
        - state
        - zip
        - country
    OrgDeployment:
      type: object
      properties:
        chainId:
          type: number
          description: ID of the blockchain network where the contract is deployed
          example: 1
        contractAddress:
          type: string
          description: Smart contract address on the specified chain
          example: '0x1234567890123456789012345678901234567890'
        usdcBalance:
          type: object
          description: >-
            Current USDC balance of the org contract in the smallest currency
            unit (1000000 = 1 USD)
          example: '2000000'
          nullable: true
        isDeployed:
          type: boolean
          description: >-
            Whether the org contract is deployed on the specified chain (true)
            or not (false). Even if a contract is not deployed, its address can
            already be used to receive direct transfer donations.
          example: true
      required:
        - chainId
        - contractAddress
        - usdcBalance
        - isDeployed
    OrgContact:
      type: object
      properties:
        email:
          type: string
          description: Contact email address
          example: contact@organization.org
          nullable: true
        name:
          type: string
          description: Contact person name
          example: John Doe
          nullable: true
        phone:
          type: string
          description: Contact phone number
          example: +1 (555) 123-4567
          nullable: true
        title:
          type: string
          description: Contact person title or role
          example: Executive Director
          nullable: true
      required:
        - email
        - name
        - phone
        - title

````